CREATE TABLE `SPORTS_NHL_TEAMS_GAME_GOALIES` (
  `season` YEAR NOT NULL,
  `team_id` ENUM('ANA','ARI','ATL','BOS','BUF','CAR','CGY','CHI','CLB','COL','DAL','DET','EDM','FLA','LA','MIN','MTL','NJ','NSH','NYI','NYR','OTT','PHI','PHO','PIT','SEA','SJ','STL','TB','TOR','UTA','VAN','VGK','WPG','WSH') COLLATE latin1_general_ci NOT NULL,
  `game_type` ENUM('regular','playoff') COLLATE latin1_general_ci NOT NULL,
  `game_id` SMALLINT(5) UNSIGNED NOT NULL,
  `stat_dir` ENUM('for','against') COLLATE latin1_general_ci NOT NULL,
  `gp` TINYINT(3) UNSIGNED DEFAULT NULL,
  `win` TINYINT(3) UNSIGNED DEFAULT NULL,
  `loss` TINYINT(3) UNSIGNED DEFAULT NULL,
  `ot_loss` TINYINT(3) UNSIGNED DEFAULT NULL,
  `so_loss` TINYINT(3) UNSIGNED DEFAULT NULL,
  `goals_against` TINYINT(3) UNSIGNED DEFAULT NULL,
  `shots_against` TINYINT(3) UNSIGNED DEFAULT NULL,
  `shutout` TINYINT(3) UNSIGNED DEFAULT NULL,
  `minutes_played` TIME DEFAULT NULL,
  `en_goals_against` TINYINT(3) UNSIGNED DEFAULT NULL,
  `so_goals_against` TINYINT(3) UNSIGNED DEFAULT NULL,
  `so_shots_against` TINYINT(3) UNSIGNED DEFAULT NULL,
  `goals` TINYINT(3) UNSIGNED DEFAULT NULL,
  `assists` TINYINT(3) UNSIGNED DEFAULT NULL,
  `pims` TINYINT(3) UNSIGNED DEFAULT NULL,
  PRIMARY KEY (`season`,`team_id`,`game_type`,`game_id`,`stat_dir`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

CREATE TABLE `SPORTS_NHL_TEAMS_GAME_SKATERS` (
  `season` YEAR NOT NULL,
  `team_id` ENUM('ANA','ARI','ATL','BOS','BUF','CAR','CGY','CHI','CLB','COL','DAL','DET','EDM','FLA','LA','MIN','MTL','NJ','NSH','NYI','NYR','OTT','PHI','PHO','PIT','SEA','SJ','STL','TB','TOR','UTA','VAN','VGK','WPG','WSH') COLLATE latin1_general_ci NOT NULL,
  `game_type` ENUM('regular','playoff') COLLATE latin1_general_ci NOT NULL,
  `game_id` SMALLINT(5) UNSIGNED NOT NULL,
  `stat_dir` ENUM('for','against') COLLATE latin1_general_ci NOT NULL,
  `gp` TINYINT(3) UNSIGNED DEFAULT NULL,
  `goals` TINYINT(3) UNSIGNED DEFAULT NULL,
  `assists` TINYINT(3) UNSIGNED DEFAULT NULL,
  `pims` SMALLINT(5) UNSIGNED DEFAULT NULL,
  `plus_minus` SMALLINT(6) DEFAULT NULL,
  `pens_taken` TINYINT(3) UNSIGNED DEFAULT NULL,
  `pens_drawn` TINYINT(3) UNSIGNED DEFAULT NULL,
  `pp_goals` TINYINT(3) UNSIGNED DEFAULT NULL,
  `pp_assists` TINYINT(3) UNSIGNED DEFAULT NULL,
  `pp_opps` TINYINT(3) UNSIGNED DEFAULT NULL,
  `pk_goals` TINYINT(3) UNSIGNED DEFAULT NULL,
  `pk_kills` TINYINT(3) UNSIGNED DEFAULT NULL,
  `pk_opps` TINYINT(3) UNSIGNED DEFAULT NULL,
  `sh_goals` TINYINT(3) UNSIGNED DEFAULT NULL,
  `sh_assists` TINYINT(3) UNSIGNED DEFAULT NULL,
  `shots` TINYINT(3) UNSIGNED DEFAULT NULL,
  `missed_shots` TINYINT(3) UNSIGNED DEFAULT NULL,
  `blocked_shots` TINYINT(3) UNSIGNED DEFAULT NULL,
  `shots_blocked` TINYINT(3) UNSIGNED DEFAULT NULL,
  `hits` TINYINT(3) UNSIGNED DEFAULT NULL,
  `times_hit` TINYINT(3) UNSIGNED DEFAULT NULL,
  `fo_wins` TINYINT(3) UNSIGNED DEFAULT NULL,
  `fo_loss` TINYINT(3) UNSIGNED DEFAULT NULL,
  `so_goals` TINYINT(3) UNSIGNED DEFAULT NULL,
  `so_shots` TINYINT(3) UNSIGNED DEFAULT NULL,
  `giveaways` TINYINT(3) UNSIGNED DEFAULT NULL,
  `takeaways` TINYINT(3) UNSIGNED DEFAULT NULL,
  PRIMARY KEY (`season`,`team_id`,`game_type`,`game_id`,`stat_dir`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

CREATE TABLE `SPORTS_NHL_TEAMS_GAME_SKATERS_ADVANCED` (
  `season` YEAR NOT NULL,
  `team_id` ENUM('ANA','ARI','ATL','BOS','BUF','CAR','CGY','CHI','CLB','COL','DAL','DET','EDM','FLA','LA','MIN','MTL','NJ','NSH','NYI','NYR','OTT','PHI','PHO','PIT','SEA','SJ','STL','TB','TOR','UTA','VAN','VGK','WPG','WSH') COLLATE latin1_general_ci NOT NULL,
  `game_type` ENUM('regular','playoff') COLLATE latin1_general_ci NOT NULL,
  `game_id` SMALLINT(5) UNSIGNED NOT NULL,
  `corsi_cf` TINYINT(2) UNSIGNED DEFAULT NULL,
  `corsi_ca` TINYINT(2) UNSIGNED DEFAULT NULL,
  `corsi_pct` DECIMAL(4,1) UNSIGNED DEFAULT NULL,
  `fenwick_ff` TINYINT(2) UNSIGNED DEFAULT NULL,
  `fenwick_fa` TINYINT(2) UNSIGNED DEFAULT NULL,
  `fenwick_pct` DECIMAL(4,1) UNSIGNED DEFAULT NULL,
  `pdo_sh_gf` TINYINT(2) UNSIGNED DEFAULT NULL,
  `pdo_sh_sog` TINYINT(2) UNSIGNED DEFAULT NULL,
  `pdo_sh` DECIMAL(4,1) UNSIGNED DEFAULT NULL,
  `pdo_sv_sv` TINYINT(2) UNSIGNED DEFAULT NULL,
  `pdo_sv_sog` TINYINT(2) UNSIGNED DEFAULT NULL,
  `pdo_sv` DECIMAL(4,1) UNSIGNED DEFAULT NULL,
  `pdo` DECIMAL(4,1) UNSIGNED DEFAULT NULL,
  PRIMARY KEY (`season`,`team_id`,`game_type`,`game_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

CREATE TABLE `SPORTS_NHL_PLAYERS_GAME_GOALIES` (
  `season` YEAR NOT NULL,
  `player_id` SMALLINT(5) UNSIGNED NOT NULL,
  `game_type` ENUM('regular','playoff') COLLATE latin1_general_ci NOT NULL,
  `game_id` SMALLINT(5) UNSIGNED NOT NULL,
  `team_id` ENUM('ANA','ARI','ATL','BOS','BUF','CAR','CGY','CHI','CLB','COL','DAL','DET','EDM','FLA','LA','MIN','MTL','NJ','NSH','NYI','NYR','OTT','PHI','PHO','PIT','SEA','SJ','STL','TB','TOR','UTA','VAN','VGK','WPG','WSH') COLLATE latin1_general_ci DEFAULT NULL,
  `gp` TINYINT(3) UNSIGNED DEFAULT NULL,
  `start` TINYINT(3) UNSIGNED DEFAULT NULL,
  `win` TINYINT(3) UNSIGNED DEFAULT NULL,
  `loss` TINYINT(3) UNSIGNED DEFAULT NULL,
  `tie` TINYINT(3) UNSIGNED DEFAULT NULL,
  `ot_loss` TINYINT(3) UNSIGNED DEFAULT NULL,
  `so_loss` TINYINT(3) UNSIGNED DEFAULT NULL,
  `goals_against` TINYINT(3) UNSIGNED DEFAULT NULL,
  `shots_against` TINYINT(3) UNSIGNED DEFAULT NULL,
  `shutout` TINYINT(3) UNSIGNED DEFAULT NULL,
  `minutes_played` TIME DEFAULT NULL,
  `en_goals_against` TINYINT(3) UNSIGNED DEFAULT NULL,
  `so_goals_against` TINYINT(3) UNSIGNED DEFAULT NULL,
  `so_shots_against` TINYINT(3) UNSIGNED DEFAULT NULL,
  `goals` TINYINT(3) UNSIGNED DEFAULT NULL,
  `assists` TINYINT(3) UNSIGNED DEFAULT NULL,
  `pims` TINYINT(3) UNSIGNED DEFAULT NULL,
  `pens_taken` TINYINT(3) UNSIGNED DEFAULT NULL,
  `pens_drawn` TINYINT(3) UNSIGNED DEFAULT NULL,
  PRIMARY KEY (`season`,`player_id`,`game_type`,`game_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

CREATE TABLE `SPORTS_NHL_PLAYERS_GAME_SKATERS` (
  `season` YEAR NOT NULL,
  `player_id` SMALLINT(5) UNSIGNED NOT NULL,
  `game_type` ENUM('regular','playoff') COLLATE latin1_general_ci NOT NULL,
  `game_id` SMALLINT(5) UNSIGNED NOT NULL,
  `team_id` ENUM('ANA','ARI','ATL','BOS','BUF','CAR','CGY','CHI','CLB','COL','DAL','DET','EDM','FLA','LA','MIN','MTL','NJ','NSH','NYI','NYR','OTT','PHI','PHO','PIT','SEA','SJ','STL','TB','TOR','UTA','VAN','VGK','WPG','WSH') COLLATE latin1_general_ci DEFAULT NULL,
  `gp` TINYINT(3) UNSIGNED DEFAULT NULL,
  `start` TINYINT(3) UNSIGNED DEFAULT NULL,
  `goals` TINYINT(3) UNSIGNED DEFAULT NULL,
  `assists` TINYINT(3) UNSIGNED DEFAULT NULL,
  `plus_minus` TINYINT(4) DEFAULT NULL,
  `pims` TINYINT(3) UNSIGNED DEFAULT NULL,
  `pens_taken` TINYINT(3) UNSIGNED DEFAULT NULL,
  `pens_drawn` TINYINT(3) UNSIGNED DEFAULT NULL,
  `pp_goals` TINYINT(3) UNSIGNED DEFAULT NULL,
  `pp_assists` TINYINT(3) UNSIGNED DEFAULT NULL,
  `sh_goals` TINYINT(3) UNSIGNED DEFAULT NULL,
  `sh_assists` TINYINT(3) UNSIGNED DEFAULT NULL,
  `gw_goals` TINYINT(3) UNSIGNED DEFAULT NULL,
  `shots` TINYINT(3) UNSIGNED DEFAULT NULL,
  `missed_shots` TINYINT(3) UNSIGNED DEFAULT NULL,
  `blocked_shots` TINYINT(3) UNSIGNED DEFAULT NULL,
  `shots_blocked` TINYINT(3) UNSIGNED DEFAULT NULL,
  `hits` TINYINT(3) UNSIGNED DEFAULT NULL,
  `times_hit` TINYINT(3) UNSIGNED DEFAULT NULL,
  `fo_wins` TINYINT(3) UNSIGNED DEFAULT NULL,
  `fo_loss` TINYINT(3) UNSIGNED DEFAULT NULL,
  `so_goals` TINYINT(3) UNSIGNED DEFAULT NULL,
  `so_shots` TINYINT(3) UNSIGNED DEFAULT NULL,
  `giveaways` TINYINT(3) UNSIGNED DEFAULT NULL,
  `takeaways` TINYINT(3) UNSIGNED DEFAULT NULL,
  `toi` TIME DEFAULT NULL,
  `shifts` TINYINT(3) UNSIGNED DEFAULT NULL,
  PRIMARY KEY (`season`,`player_id`,`game_type`,`game_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

CREATE TABLE `SPORTS_NHL_PLAYERS_GAME_SKATERS_ADVANCED` (
  `season` YEAR NOT NULL,
  `player_id` SMALLINT(5) UNSIGNED NOT NULL,
  `game_type` ENUM('regular','playoff') COLLATE latin1_general_ci NOT NULL,
  `game_id` SMALLINT(5) UNSIGNED NOT NULL,
  `team_id` ENUM('ANA','ARI','ATL','BOS','BUF','CAR','CGY','CHI','CLB','COL','DAL','DET','EDM','FLA','LA','MIN','MTL','NJ','NSH','NYI','NYR','OTT','PHI','PHO','PIT','SEA','SJ','STL','TB','TOR','UTA','VAN','VGK','WPG','WSH') COLLATE latin1_general_ci DEFAULT NULL,
  `corsi_cf` TINYINT(2) UNSIGNED DEFAULT NULL,
  `corsi_ca` TINYINT(2) UNSIGNED DEFAULT NULL,
  `corsi_pct` DECIMAL(4,1) UNSIGNED DEFAULT NULL,
  `corsi_off_cf` TINYINT(2) UNSIGNED DEFAULT NULL,
  `corsi_off_ca` TINYINT(2) UNSIGNED DEFAULT NULL,
  `corsi_off_pct` DECIMAL(4,1) UNSIGNED DEFAULT NULL,
  `corsi_rel` DECIMAL(4,1) SIGNED DEFAULT NULL,
  `fenwick_ff` TINYINT(2) UNSIGNED DEFAULT NULL,
  `fenwick_fa` TINYINT(2) UNSIGNED DEFAULT NULL,
  `fenwick_pct` DECIMAL(4,1) UNSIGNED DEFAULT NULL,
  `fenwick_off_ff` TINYINT(2) UNSIGNED DEFAULT NULL,
  `fenwick_off_fa` TINYINT(2) UNSIGNED DEFAULT NULL,
  `fenwick_off_pct` DECIMAL(4,1) UNSIGNED DEFAULT NULL,
  `fenwick_rel` DECIMAL(4,1) SIGNED DEFAULT NULL,
  `pdo_sh_gf` TINYINT(2) UNSIGNED DEFAULT NULL,
  `pdo_sh_sog` TINYINT(2) UNSIGNED DEFAULT NULL,
  `pdo_sh` DECIMAL(4,1) UNSIGNED DEFAULT NULL,
  `pdo_sv_sv` TINYINT(2) UNSIGNED DEFAULT NULL,
  `pdo_sv_sog` TINYINT(2) UNSIGNED DEFAULT NULL,
  `pdo_sv` DECIMAL(4,1) UNSIGNED DEFAULT NULL,
  `pdo` DECIMAL(4,1) UNSIGNED DEFAULT NULL,
  `zs_off_num` TINYINT(2) UNSIGNED DEFAULT NULL,
  `zs_off_pct` DECIMAL(4,1) UNSIGNED DEFAULT NULL,
  `zs_def_num` TINYINT(2) UNSIGNED DEFAULT NULL,
  `zs_def_pct` DECIMAL(4,1) UNSIGNED DEFAULT NULL,
  PRIMARY KEY (`season`,`player_id`,`game_type`,`game_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;
